## mx4j.tools.heartbeat
Interface HeartBeatMBean

All Known Implementing Classes:
  HeartBeat

public interface HeartBeatMBean

Interface to be implemented by all modules that want to support heartbeat mechanism.

Version:
  $Revision: 1.5 $

Field Summary
`static int` `DEFAULT_PERIOD`
`static int` `DEFAULT_RETRIES` HeartBeat source will retry calling listener a few times and then will declare listener down
`static java.lang.String` `HEARTBEAT_OBJECT_NAME`
`static java.lang.String` `IIOP_TYPE`
`static java.lang.String` `PERIOD_PROP`
`static java.lang.String` `RMI_TYPE`
`static java.lang.String` `TRIES_PROP`

Method Summary
`void` `addHeartBeatListener(java.lang.String heartBeatListenerName, java.lang.Object connectorType, java.lang.Object listenerAddress)` Adds the specified heartbeat listener to receive heartbeat notifications from this HeartBeatMBean.
`void` `removeHeartBeatListener(java.lang.String heartBeatListenerName)` Removes the specified heartbeat listener so that it no longer receives heartbeat notifications from this HeartBeatMBean.

Field Detail

### HEARTBEAT_OBJECT_NAME

    public static final java.lang.String HEARTBEAT_OBJECT_NAME

See Also:
  Constant Field Values

### RMI_TYPE

    public static final java.lang.String RMI_TYPE

See Also:
  Constant Field Values

### IIOP_TYPE

    public static final java.lang.String IIOP_TYPE

See Also:
  Constant Field Values

### TRIES_PROP

    public static final java.lang.String TRIES_PROP

See Also:
  Constant Field Values

### PERIOD_PROP

    public static final java.lang.String PERIOD_PROP

See Also:
  Constant Field Values

### DEFAULT_PERIOD

    public static final int DEFAULT_PERIOD

See Also:
  Constant Field Values

### DEFAULT_RETRIES

    public static final int DEFAULT_RETRIES

  HeartBeat source will retry calling listener a few times and then will declare listener down

  See Also:
    Constant Field Values

Method Detail

### addHeartBeatListener

    public void addHeartBeatListener(java.lang.String heartBeatListenerName,
                                     java.lang.Object connectorType,
                                     java.lang.Object listenerAddress)

  Adds the specified heartbeat listener to receive heartbeat notifications from this HeartBeatMBean.

### removeHeartBeatListener

    public void removeHeartBeatListener(java.lang.String heartBeatListenerName)

  Removes the specified heartbeat listener so that it no longer receives heartbeat notifications from this HeartBeatMBean.

Copyright © 2001-2003 MX4J Team. All Rights Reserved.